package ink.wgink.properties.kafka;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @ClassName: KafkaProperties
 * @Description: kafka配置
 * @Author: wanggeng
 * @Date: 2022/3/21 11:34
 * @Version: 1.0
 */
@Component
@ConfigurationProperties(prefix = "spring.kafka")
public class KafkaCustomProperties {

    private Boolean active;

    public Boolean getActive() {
        return active == null ? false : active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }
}
